Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDHEADINGREGvalues

    java.lang.Object
      java.lang.Enum<CDHEADINGREGvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDHEADINGREGvalues

All Implemented Interfaces:
  Serializable, Comparable<CDHEADINGREGvalues>

    public enum CDHEADINGREGvalues

extends Enum<CDHEADINGREGvalues>

Java class for CD-HEADING-REGvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-HEADING-REGvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="coronaryanatomy"/>
         <enumeration value="chapter4"/>
         <enumeration value="non-biologic"/>
         <enumeration value="bmi"/>
         <enumeration value="primarykneeprocedure"/>
         <enumeration value="approachtechnic"/>
         <enumeration value="instrumentation"/>
         <enumeration value="orthopedicanatomy"/>
         <enumeration value="interface"/>
         <enumeration value="revisionplan"/>
         <enumeration value="material"/>
         <enumeration value="notified-material"/>
         <enumeration value="not-notified-material"/>
         <enumeration value="not-notified-ortho-device"/>
         <enumeration value="criteria"/>
         <enumeration value="comorbidities"/>
         <enumeration value="comorbiditiesinformation"/>
         <enumeration value="results"/>
         <enumeration value="resynchronisationinfo"/>
         <enumeration value="crtp"/>
         <enumeration value="infiltration"/>
         <enumeration value="das28"/>
         <enumeration value="haq"/>
         <enumeration value="posology"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`APPROACHTECHNIC`
`BMI`
`CHAPTER_4`
`COMORBIDITIES`
`COMORBIDITIESINFORMATION`
`CORONARYANATOMY`
`CRITERIA`
`CRTP`
`DAS_28`
`HAQ`
`INFILTRATION`
`INSTRUMENTATION`
`INTERFACE`
`MATERIAL`
`NON_BIOLOGIC`
`NOT_NOTIFIED_MATERIAL`
`NOT_NOTIFIED_ORTHO_DEVICE`
`NOTIFIED_MATERIAL`
`ORTHOPEDICANATOMY`
`POSOLOGY`
`PRIMARYKNEEPROCEDURE`
`RESULTS`
`RESYNCHRONISATIONINFO`
`REVISIONPLAN`

Method Summary
`static CDHEADINGREGvalues` | `fromValue(String v)`
`String` | `value()`
`static CDHEADINGREGvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDHEADINGREGvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CORONARYANATOMY

    public static final CDHEADINGREGvalues CORONARYANATOMY

### CHAPTER_4

    public static final CDHEADINGREGvalues CHAPTER_4

### NON_BIOLOGIC

    public static final CDHEADINGREGvalues NON_BIOLOGIC

### BMI

    public static final CDHEADINGREGvalues BMI

### PRIMARYKNEEPROCEDURE

    public static final CDHEADINGREGvalues PRIMARYKNEEPROCEDURE

### APPROACHTECHNIC

    public static final CDHEADINGREGvalues APPROACHTECHNIC

### INSTRUMENTATION

    public static final CDHEADINGREGvalues INSTRUMENTATION

### ORTHOPEDICANATOMY

    public static final CDHEADINGREGvalues ORTHOPEDICANATOMY

### INTERFACE

    public static final CDHEADINGREGvalues INTERFACE

### REVISIONPLAN

    public static final CDHEADINGREGvalues REVISIONPLAN

### MATERIAL

    public static final CDHEADINGREGvalues MATERIAL

### NOTIFIED_MATERIAL

    public static final CDHEADINGREGvalues NOTIFIED_MATERIAL

### NOT_NOTIFIED_MATERIAL

    public static final CDHEADINGREGvalues NOT_NOTIFIED_MATERIAL

### NOT_NOTIFIED_ORTHO_DEVICE

    public static final CDHEADINGREGvalues NOT_NOTIFIED_ORTHO_DEVICE

### CRITERIA

    public static final CDHEADINGREGvalues CRITERIA

### COMORBIDITIES

    public static final CDHEADINGREGvalues COMORBIDITIES

### COMORBIDITIESINFORMATION

    public static final CDHEADINGREGvalues COMORBIDITIESINFORMATION

### RESULTS

    public static final CDHEADINGREGvalues RESULTS

### RESYNCHRONISATIONINFO

    public static final CDHEADINGREGvalues RESYNCHRONISATIONINFO

### CRTP

    public static final CDHEADINGREGvalues CRTP

### INFILTRATION

    public static final CDHEADINGREGvalues INFILTRATION

### DAS_28

    public static final CDHEADINGREGvalues DAS_28

### HAQ

    public static final CDHEADINGREGvalues HAQ

### POSOLOGY

    public static final CDHEADINGREGvalues POSOLOGY

Method Detail

### values

    public static CDHEADINGREGvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDHEADINGREGvalues c : CDHEADINGREGvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDHEADINGREGvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDHEADINGREGvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.